OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESGraph

# IGESGraph_LineFontDefTemplate Class Reference

defines IGESLineFontDefTemplate, Type <304> Form <1>
in package IGESGraph

`#include <IGESGraph_LineFontDefTemplate.hxx>`

Inheritance diagram for IGESGraph_LineFontDefTemplate:

[legend]

## Public Member Functions
Standard_EXPORT | IGESGraph_LineFontDefTemplate ()
Standard_EXPORT void | Init (const Standard_Integer anOrientation, const Handle(IGESBasic_SubfigureDef)&aTemplate, const Standard_Real aDistance, const Standard_Real aScale)
| This method is used to set the fields of the class LineFontDefTemplate - anOrientation : Orientation of Template figure on anchoring curve - aTemplate : SubfigureDef entity used as Template figure - aDistance : Distance between the neighbouring Template figures - aScale : Scale factor applied to the Template figure .
Standard_EXPORT Standard_Integer | Orientation () const
| if return value = 0, Each Template display is oriented by aligning the axis of the SubfigureDef with the axis of the definition space of the anchoring curve. = 1, Each Template display is oriented by aligning X-axis of the SubfigureDef with the tangent vector of the anchoring curve at the point of incidence of the curve and the origin of subfigure. Similarly Z-axis is aligned.
Standard_EXPORT Handle_IGESBasic_SubfigureDef | TemplateEntity () const
| returns SubfigureDef as the Entity used as Template figure.
Standard_EXPORT Standard_Real | Distance () const
| returns the Distance between any two Template figures on the anchoring curve.
Standard_EXPORT Standard_Real | Scale () const
| returns the Scaling factor applied to SubfigureDef to form Template figure.
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Standard_Integer | theOrientation
Handle_IGESBasic_SubfigureDef | theTemplateEntity
Standard_Real | theDistance
Standard_Real | theScale

## Constructor & Destructor Documentation

Standard_EXPORT IGESGraph_LineFontDefTemplate::IGESGraph_LineFontDefTemplate | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Real IGESGraph_LineFontDefTemplate::Distance | ( |  | ) | const

Standard_EXPORT const IGESGraph_LineFontDefTemplate::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_LineFontEntity.

Standard_EXPORT void IGESGraph_LineFontDefTemplate::Init | ( | const Standard_Integer | anOrientation,
|  | const Handle(IGESBasic_SubfigureDef)& | aTemplate,
|  | const Standard_Real | aDistance,
|  | const Standard_Real | aScale
| ) |

Standard_EXPORT Standard_Integer IGESGraph_LineFontDefTemplate::Orientation | ( |  | ) | const

Standard_EXPORT Standard_Real IGESGraph_LineFontDefTemplate::Scale | ( |  | ) | const

Standard_EXPORT Handle_IGESBasic_SubfigureDef IGESGraph_LineFontDefTemplate::TemplateEntity | ( |  | ) | const

## Field Documentation

Standard_Real IGESGraph_LineFontDefTemplate::theDistance`[private]`

Standard_Integer IGESGraph_LineFontDefTemplate::theOrientation`[private]`

Standard_Real IGESGraph_LineFontDefTemplate::theScale`[private]`

Handle_IGESBasic_SubfigureDef IGESGraph_LineFontDefTemplate::theTemplateEntity`[private]`

The documentation for this class was generated from the following file:

- IGESGraph_LineFontDefTemplate.hxx